import javax.naming.*;

public class Main  {
	String context= "";
	NamingEnumeration ne;
	
	Main(String c) {
		context = c;
	}
	
	public void getFromFileSystem() {
		try { ne = new Jndi().fetch(context);}
		catch (Exception e) {System.err.println("Erreur sur JNDI: "+e);}
	}
	
	public void getFromXMLFile() {
		try { ne = new SAXDirReader(context).getNamingEnumeration();}
		catch (Exception e) {System.err.println("Erreur sur XML Reader: "+e);}
	}
	
	public String printXML() {
		String result = "<REPERTOIRE>\n";
		try {
			while (ne.hasMore()) {
				NameClassPair ncp = (NameClassPair) ne.next();
				result += "\t<Fichier nom=\"" + ncp.getName() + "\" type=\"" + ncp.getClassName() + "\"></Fichier>\n";
			}
		} catch (NamingException ne) {System.err.println("Erreur de listage du contexte");}
		result += "</REPERTOIRE>\n";
		return result;
	}
	
	public void sendMail() {
		String ls = "";
		try {
			while (ne.hasMore()) ls += ne.next() + "\n";
		} catch (NamingException ne) {System.err.println("Erreur de listage du contexte");}
		System.out.println(ls);
		new SendMail().sendMail("cf@lipn.univ-paris13.fr","listing de"+context,ls);
	
	}

	public static void main(String [] args) {
	try {	Main ma = new Main(args[1]);
		if (args[0].equals("-fs")) {
			ma.getFromFileSystem(); 
			ma.sendMail();
			System.out.println(ma.printXML());
		}
		if (args[0].equals("-xml")) {
			ma.getFromXMLFile();
			System.out.println(ma.printXML());
		}
	}
	catch (Exception e) {}
	}
	
}

// java -classpath .:fscontext.jar:providerutil.jar Main -fs etc > zzz.xml
// java -classpath .:fscontext.jar:providerutil.jar Main -xml zzz.xml
 
